Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 467542 - =app-admin/tripwire-2.4.2.2-r1 fails with automake-1.13 - error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: =app-admin/tripwire-2.4.2.2-r1 fails with automake-1.13 - error: 'AM_CONFIG_H...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chema Alonso Josa (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-27 20:20 UTC by Ian Stakenvicius
Modified: 2013-05-01 12:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius gentoo-dev 2013-04-27 20:20:31 UTC
# cat /var/tmp/portage/app-admin/tripwire-2.4.2.2-r1/temp/aclocal.out
***** aclocal *****
***** PWD: /var/tmp/portage/app-admin/tripwire-2.4.2.2-r1/work/tripwire-2.4.2.2-src
***** aclocal

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'configure.in'
/usr/share/aclocal/zthread.m4:34: warning: underquoted definition of AM_PATH_ZTHREAD
/usr/share/aclocal/zthread.m4:34:   run info Automake 'Extending aclocal'
/usr/share/aclocal/zthread.m4:34:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.in:9: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.in:9: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

The following atoms were also found to be effected:
=app-admin/tripwire-2.4.2.2

Please note that although this package is stable and automake-1.13 is ~arch,
this is still a priority fix because ~arch users are immediately affected.
Comment 1 Chema Alonso Josa (RETIRED) gentoo-dev 2013-05-01 12:52:51 UTC
Fixed. Thanks for reporting.

+  01 May 2013; Chema Alonso <nimiux@gentoo.org> tripwire-2.4.2.2.ebuild,
+  tripwire-2.4.2.2-r1.ebuild, +files/tripwire-2.4.2.2-fix-configure.patch:
+  Fix configure for automake-1.13 wrt bug #467542 by axs

Filed upstream:
https://sourceforge.net/p/tripwire/bugs/56/